import { Router } from 'express';
import { register, updateProfile } from '@/src/uv-apis/auth.controller'
import { verifyToken } from '@/src/middleware/auth'
import uploadHandler from '@/src/lib/upload-handler'

const router = Router();

router.post('/register', uploadHandler.single('profileImage'), register);
router.put('/profile', verifyToken, uploadHandler.single('profileImage'), updateProfile);

const authRouter = router;
export default authRouter;